## graudit 3.6

=== debian/changelog ===
graudit (3.6-2) unstable; urgency=medium

  * Source only upload.

 -- Alex Myczko <tar@debian.org>  Thu, 23 May 2024 08:49:20 +0000

graudit (3.6-1) unstable; urgency=medium

  * Initial release (Closes: #1069007)

 -- Alex Myczko <tar@debian.org>  Mon, 15 Apr 2024 07:06:00 +0200

## graudit 3.8

=== Makefile ===
###
# graudit makefile
###

prefix = /usr
dataroot = $(prefix)/share
datadir = $(dataroot)/graudit
bindir = $(prefix)/bin
SIGNATURES := signatures/actionscript.db signatures/android.db signatures/asp.db signatures/c.db signatures/cobol.db signatures/default.db signatures/dotnet.db signatures/exec.db signatures/fruit.db signatures/go.db signatures/ios.db signatures/java.db signatures/js.db signatures/kotlin.db signatures/nim.db signatures/perl.db signatures/php.db signatures/python.db signatures/ruby.db signatures/scala.db signatures/secrets.db signatures/spsqli.db signatures/sql.db signatures/strings.db signatures/typescript.db signatures/xss.db
DISTFILES := Changelog  graudit  LICENSE  README.md
MANFILES := graudit.1
VERSION=`./graudit -v | cut -d' ' -f 3`
.PHONY : clean install uninstall userinstall test signatures

dist: clean signatures manpages $(DISTFILES) $(MANFILES) test
	cd t && ./git-test.sh
	mkdir -p graudit-$(VERSION)/signatures
	cp -f $(DISTFILES) graudit-$(VERSION)
	cp -f $(MANFILES) graudit-$(VERSION)
	cp -f $(SIGNATURES) graudit-$(VERSION)/signatures
	tar zcf graudit-$(VERSION).tar.gz graudit-$(VERSION)
	zip -9r graudit-$(VERSION).zip graudit-$(VERSION)
	cp -rf t/ graudit-$(VERSION)/
	rm -rf t/test-results/*
	cp graudit.in.1 graudit-$(VERSION)
	cp -r signatures/ graudit-$(VERSION)
	cp -r misc graudit-$(VERSION)
	tar zcf graudit-$(VERSION)_src.tar.gz graudit-$(VERSION)
	rm -r graudit-$(VERSION)

userinstall: $(DISTFILES) test
	mkdir -p ~/.graudit
	cp -f $(SIGNATURES) ~/.graudit
	mkdir -p ~/bin
	cp -f graudit ~/bin

install: manpages $(DISTFILES) $(MANFILES) test
	mkdir -p $(bindir)
	mkdir -p $(datadir)
	cp -f $(SIGNATURES) $(datadir)
	cp -f $(DISTFILES) $(datadir)
	cp -f $(MANFILES) $(datadir)
	mv $(datadir)/graudit $(bindir)/graudit

uninstall:
	rm -f $(bindir)/graudit
	rm -rf $(datadir)

clean:
	rm -f graudit-*.tar.gz graudit-*.zip
	rm -f t/test-results/*
	rm -f graudit.1 graudit.7

test: signatures
	mkdir -p t/test-results
	rm -f t/test-results/*
	cd t && /bin/sh ./runtests.sh
	cd t && /bin/sh ./aggregate-results.sh test-results/*

signatures:
	cat signatures/android/*.db    > signatures/android.db
	cat signatures/asp/*.db        > signatures/asp.db
	cat signatures/c/*.db          > signatures/c.db
	cat signatures/dotnet/*.db     > signatures/dotnet.db
	cat signatures/go/*.db         > signatures/go.db
	cat signatures/java/*.db       > signatures/java.db
	cat signatures/js/*.db         > signatures/js.db
	cat signatures/kotlin/*.db     > signatures/kotlin.db
	cat signatures/nim/*.db        > signatures/nim.db
	cat signatures/perl/*.db       > signatures/perl.db
	cat signatures/php/*.db        > signatures/php.db
	cat signatures/python/*.db     > signatures/python.db
	cat signatures/ruby/*.db       > signatures/ruby.db
	cat signatures/scala/*.db      > signatures/scala.db
	cat signatures/typescript/*.db > signatures/typescript.db
	cat signatures/*/default.db    > signatures/default.db
	cat signatures/*/exec.db       > signatures/exec.db
	cat signatures/*/fruit.db      > signatures/fruit.db
	cat signatures/*/sql.db        > signatures/sql.db
	cat signatures/*/xss.db        > signatures/xss.db

manpages:
	nroff -Tascii -mandoc <graudit.in.1 >/dev/null
	cp -f graudit.in.1 graudit.1
	nroff -Tascii -mandoc <graudit.in.7 >/dev/null
	cp -f graudit.in.7 graudit.7

## graudit 3.7

=== debian/changelog ===
graudit (3.7-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 06 Jan 2025 12:26:36 +0000

=== debian/control ===
Source: graudit
Section: devel
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/wireghoul/graudit
#Vcs-Browser: https://salsa.debian.org/debian/graudit
#Vcs-Git: https://salsa.debian.org/debian/graudit.git
Rules-Requires-Root: no

Package: graudit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: grep rough audit - source code auditing tool
 This is a simple script and signature sets that allows you to find potential
 security flaws in source code using the GNU utility grep. It's comparable to
 other static analysis applications like RATS, SWAAT and flaw-finder while
 keeping the technical requirements to a minimum and being very flexible.

## graudit 3.8

=== debian/changelog ===
graudit (3.8-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update years.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Fri, 25 Apr 2025 09:04:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/wireghoul/graudit
 #Vcs-Browser: https://salsa.debian.org/debian/graudit
 #Vcs-Git: https://salsa.debian.org/debian/graudit.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) manpages

override_dh_auto_install:
	@echo skip

## graudit 3.9

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 dataroot = $(prefix)/share
 datadir = $(dataroot)/graudit
 bindir = $(prefix)/bin
-SIGNATURES := signatures/actionscript.db signatures/android.db signatures/asp.db signatures/c.db signatures/cobol.db signatures/default.db signatures/dotnet.db signatures/exec.db signatures/fruit.db signatures/go.db signatures/ios.db signatures/java.db signatures/js.db signatures/kotlin.db signatures/nim.db signatures/perl.db signatures/php.db signatures/python.db signatures/ruby.db signatures/scala.db signatures/secrets.db signatures/spsqli.db signatures/sql.db signatures/strings.db signatures/typescript.db signatures/xss.db
+SIGNATURES := signatures/actionscript.db signatures/android.db signatures/asp.db signatures/c.db signatures/cobol.db signatures/default.db signatures/docker.db signatures/dotnet.db signatures/exec.db signatures/fruit.db signatures/go.db signatures/ios.db signatures/java.db signatures/js.db signatures/kotlin.db signatures/nim.db signatures/perl.db signatures/php.db signatures/python.db signatures/ruby.db signatures/scala.db signatures/secrets.db signatures/spsqli.db signatures/sql.db signatures/strings.db signatures/typescript.db signatures/xss.db signatures/jwt.db
 DISTFILES := Changelog  graudit  LICENSE  README.md
 MANFILES := graudit.1
 VERSION=`./graudit -v | cut -d' ' -f 3`
@@ -78,6 +78,7 @@
 	cat signatures/*/fruit.db      > signatures/fruit.db
 	cat signatures/*/sql.db        > signatures/sql.db
 	cat signatures/*/xss.db        > signatures/xss.db
+	cat signatures/*/jwt.db        > signatures/jwt.db
 
 manpages:
 	nroff -Tascii -mandoc <graudit.in.1 >/dev/null

=== debian/changelog ===
graudit (3.9-3) unstable; urgency=medium

  * d/control: add Vcs fields.

 -- Alex Myczko <tar@debian.org>  Fri, 07 Nov 2025 09:07:53 +0100

graudit (3.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:12:08 -0500

graudit (3.9-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:38:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.7.2
 Homepage: https://github.com/wireghoul/graudit
-#Vcs-Browser: https://salsa.debian.org/debian/graudit
-#Vcs-Git: https://salsa.debian.org/debian/graudit.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/graudit
+Vcs-Git: https://salsa.debian.org/pkg-security-team/graudit.git
 Rules-Requires-Root: no
 
 Package: graudit

## graudit 4.0

=== debian/changelog ===
graudit (4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Dec 2025 21:36:44 +0000

graudit (3.9-4) unstable; urgency=medium

  * Make build reproducible. (Closes: #1123002)
    Thanks Chris Lamb.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Dec 2025 21:13:43 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,4 @@
 
 override_dh_auto_install:
 	@echo skip
+	touch -d "@$(SOURCE_DATE_EPOCH)" signatures/*.db
